[feisty fawn and Gutsy] NetworkManager reports incorrect online status

Bug #82927 reported by jerrylamos on 2007-02-02
98
This bug affects 2 people
Affects Status Importance Assigned to Milestone
NetworkManager
Won't Fix
Medium
network-manager (Baltix)
Undecided
Unassigned
network-manager (Ubuntu)
Medium
Unassigned

Bug Description

Description edited 3/17/07 by Jerry Amos, originator:

1. Hardware and ethernet card run fine on Dapper and Edgy and other Linux distros and Windows.

2. Feisty and Gutsy have Network manager standard. After bootup, Network manager says: "No Network connection" and indeed Firefox can't find the internet.

3. Issue "sudo dhclient" as per Official Ubuntu Book p.211, eth0 comes up and Firefox runs fine (Gutsy Ubuntu and Xubuntu, not Kubuntu see explanation 18 Oct 2007 below)

Bug #1. However, Network Manager still says "no network connection" even though there is a connection.

4. I didn't understand why there was no connection after bootup, so looking thru the syslog and networking, I see during boot Ubuntu establishes the network connection and finds the gateway and the nameserver out on the internet so eth0 is functioning fine.

Bug #2. Then Network manager decides the Realtek ethernet card (which is already running), "does not support carrier detect" and disables eth0. That's the second bug, Network manager should not disable a perfectly functioning eth0.

If the Ubuntu goal is for the "ordinary computer desktop user" to "just run", then Network manager is in this case impeding the goal. My view as a user, anyway. Jerry

Simon Law (sfllaw) wrote :

Hello.

Could you reproduce this problem again and list your exact reproduction steps? Try not to work around the problem before you capture the following information:

1. A copy of /var/log/syslog, which should have entries from NetworkManager
2. The output of /sbin/ifconfig -a
3. The output of lspci -vvn

Thanks!

 Thanks for your note. Here's a try at your request.

 Log is output of /var/log/syslog just when bootup finishes, and network manager shows no connection. Do note the System, Control center, Network, DNS already shows entries from the gateway and the DSL service nameserver so eth0 has already been working. I took a look at the syslog and it does have entries from network manager.

 conf is the output of ifconfig, and lsp is the output of lspci -vvn.

 After gathering the info you requested (I hope it's useful), I did a sudo dhclient and am now able to run FireFox and AOL mail reply to you. The icon on the top line still says No network connection as I make this entry.

 I tried this same CD Live on a Thinkpad R31 and on a Netvista Pentium 4 both of which have on-board ethernet and didn't have the problem. The Netvista does have black screen problems partly worked around which is likely another team.
    Cheers.
 -----Original Message-----
 From: <email address hidden>
 To: <email address hidden>
 Sent: Fri, 2 Feb 2007 8:57 PM
 Subject: [Bug 82927] Re: feisty fawn no network connection

  Hello.

Could you reproduce this problem again and list your exact reproduction
steps? Try not to work around the problem before you capture the
following information:

1. A copy of /var/log/syslog, which should have entries from NetworkManager
2. The output of /sbin/ifconfig -a
3. The output of lspci -vvn

Thanks!

** Changed in: Ubuntu
Sourcepackagename: None => network-manager
     Assignee: (unassigned) => Simon Law
       Status: Unconfirmed => Needs Info

--
feisty fawn no network connection
https://launchpad.net/bugs/82927

________________________________________________________________________
Check Out the new free AIM(R) Mail -- 2 GB of storage and industry-leading spam and email virus protection.

I'm sorry, your attachments did not come through. Please attach the requested files using the web page at https://launchpad.net/ubuntu/+source/network-manager/+bug/82927

Thanks!

jerrylamos (jerrylamos) wrote :

Simon, here's the /var/syslog hopefully

jerrylamos (jerrylamos) wrote :

Here's the ifconfig

jerrylamos (jerrylamos) wrote :

Here's the lspci

jerrylamos (jerrylamos) wrote :

FYI, report from System > Control Center > Hardware > Hardware information > Device Manager

Realtek Semiconductor Co., Ltd.
RTL-8029(AS)

It's on the PCI bus.

Simon Law (sfllaw) wrote :

This is a problem with the ne2k-pci driver, for which NetworkManager claims:

Feb 3 21:50:36 ubuntu NetworkManager: <information>^Ieth0: Driver 'ne2k-pci' does not support carrier detection. ^IYou must switch to it manually.

A workaround is to not use NetworkManager and let ifupdown deal with the DHCP. This is done by having:

    auto eth0
    iface eth0 inet dhcp

lines in /etc/network/interfaces.

Changed in network-manager:
assignee: sfllaw → nobody
importance: Undecided → Medium
status: Needs Info → Confirmed
jerrylamos (jerrylamos) wrote :

Thanks for looking at the problem. However, those lines :

auto eth0
iface eth0 inet dhcp

are already in /etc/network/interfaces.

How do I not use NetworkManager since it is installed in Feisty Fawn Herd 3 as a default?

jerrylamos (jerrylamos) wrote :

Tried Feisty Fawn Herd 3 persistent on Thinkpad R31 with built in eth0. Looks to me like network manager indicated correctly.

I then installed a wireless PCMCIAA card, Trendnet, using ndiswrapper as indicated in Wiki then disconnected the eth0 wired connection.

I then rebooted.

Networkmanager says No network connection as I make this entry with the wireless connection - I ran dhclient to get the connection working. Attached is a file with logs etc. combined.

Any clue why network manager disabled wlan0?

jerrylamos (jerrylamos) wrote :

Network Manager is installed by default with Feisty Fawn, hence my concern. I have two different hardware configurations, a tower and a laptop, where Network Manager says "No network connection" even though the connections are in fact running. On my third configuration Network Manager message is right.

Isn't it a bug if the Network Manager message is in error? Thanks, Jerry Amos

Ben Collins (ben-collins) wrote :

Ok, then, this is a bug in n-m.

jerrylamos (jerrylamos) wrote :

Today's build 20070213 still shows "No network connection" as I make this entry....Cheers, Jerry

Simos Xenitellis  (simosx) wrote :

Other users with the same problem reported that they cleared up their /etc/network/interfaces file and let NM to recreate it.
Apparently, NM gets easily confused when someone either configures manually the network or the file becomes to big.

Could you please back up your "interfaces", empty it and restart?

jerrylamos (jerrylamos) wrote :

I'll take a look at /etc/network/interfaces tomorrow. The problem occurs immediately after a fresh boot of CD Live so I wouldn't expect there to be anything but I'll check.

If you look in the /var/log/syslog above you'll see that the network manager actually disables the network connection during boot. I don't know why.

When I get the chance I'll try my laptop wireless to see if it has a similar network connection problem. The wireless driver operates thru ndiswrapper.

Cheers, Jerry

Simos Xenitellis  (simosx) wrote :

Did some more investigation on this.
Apparently, /etc/network/interfaces does not play a role with NM.

A better course of action is this:
1. Check /var/log/daemon.log, the location where NM logs its messages. Notice any messages about DBUS not running, as this is commonly the source of the problem.
2. Open a terminal window as current user and kill the "nm-applet" process. Start it again from command line, "nm-applet" and check if anything changed (probably did not).
3. Kill again "nm-applet" and run it with "sudo nm-applet".
Observe any messages on the command line from this command, and please post here. Hopefully by now it should work. If it does, kill NM again and run without "sudo". Check if it works now.

Good luck!

jerrylamos (jerrylamos) wrote :

Thanks, Simon, will look over your entry.

My view is if Network Manager is now a default and on every Feisty, then IT SHOULD WORK. Verify problem again:

1. Verify hardware. Boot up CD Live Edgy, start Firefox and Internet Access O.K. as usual. There isn't any Network Manager activated because it was not a default Edgy package.

2. Boot up CD Live 20070222 Feisty, md5sums check, start Firefox and internet Not accessible. Network Manager says "No network connection". Note, Edgy has no problem with this hardware so this is a Feisty software bug.

Here is an excerpt from /var/log/syslog where Network Manager deactivates eth0 when it should not:
.....
Feb 22 09:15:14 ubuntu NetworkManager: <information>^Istarting...
Feb 22 09:15:14 ubuntu NetworkManager: <information>^Ieth0: Driver 'ne2k-pci' does not support carrier detection. ^IYou must switch to it manually.
Feb 22 09:15:14 ubuntu NetworkManager: <information>^Inm_device_init(): waiting for device's worker thread to start
Feb 22 09:15:14 ubuntu NetworkManager: <information>^Inm_device_init(): device's worker thread started, continuing.
Feb 22 09:15:14 ubuntu NetworkManager: <information>^INow managing wired Ethernet (802.3) device 'eth0'.
Feb 22 09:15:14 ubuntu NetworkManager: <information>^IDeactivating device eth0.
......
There is nothing wrong with the hardware or the driver Edgy uses. It works fine with Edgy, and after issuing sudo dhclient, it works fine with Feisty too.

Bug #1: Network Manger should not have disabled eth0. Ubuntu Mantra: "It should just work" like it does on Edgy.

Bug #2. After sudo dhclient, network runs fine however Network Manager still says "No network connection" even though there is one.

Whoever decided Network Manager is a default Feisty package needs to follow through with the rest of the Feisty network software, and when a network connection is made Network Manager should reflect there is a connection when there is.

Now this is Feisty 20070222 I'm using, so I got the network going. That's not the point. If a few million Feisty's are shipped, then they ought to work right out of the box like Edgy does. My view, anyway.

Cheers, Jerry

Filip Palm (filip) wrote :

I have a similar problem with a forcedeth ethernet card.

* If i have set my static IP-adresses with network-admin nm-applet keeps on saying that i have no network connection.

* If i then empty the interfaces file in /etc nm-applet keeps looking for a network connection and after a while it says that i have one, it finds my card but i don't have a connection due to that
i need to configure the IP-adresses statictly.

This feels like hight priority bug, for me its not that hard to just remove network-manager but for new ubuntu people its a showstopper to not have internet connection. Okay yes there is a connection but every program that supports network-manager i need to switch off the "Work offline" thingy to get going and thats not easy for new people eather.

jerrylamos (jerrylamos) wrote :

Just guessing, I presume whoever decided Network Manager was mandatory on Feisty Fawn didn't know it was buggy. I went back on Edgy, which was running fine without Network Manager, installed the Network Manager package, and it had the same bug "No network connection" when there is one. Another of my computers doesn't have a problem with Network Manager, but of course I can't see if it is doing anything either.

I then tried removing the Network Manager package from Edgy and I'm worse off than when I started. I have to issue "sudo dhclient" to get the network connection going when I didn't have to do that before trying Network Manager.

A month ago when "persistent" was still working on Feisty (it's been broken since about 20070210) I had trouble with Network Manager on my laptop wireless, saying there was no connection when there was one. When/if Feisty gets "persistent" working again I'll check to see if Network Manager is still broken on that too.

So for me, Network Manager is a loser. As is, it would seem to me Ubuntu will lose new customers because of it. I've seen 2 experienced users back off a Ubuntu distro when it didn't connect to the internet. I wonder if there are any fixes being considered?

Cheers, Jerry

Dave Gilbert (ubuntu-treblig) wrote :

OK - sme here; the network connection works but the applet shows 'no network connection'
3com 3c905c on x86.

My /etc/network/interfaces has an auto lo, an auto eth0 (static config) but also an auto tap0 for some uml stuff I did.

Dave

Dave Gilbert (ubuntu-treblig) wrote :

Actually - this isn't just the applet; things like 'gaim' start and say 'waiting for network'.
ifconfig looks happy and actual connectivity is fine.

eth0 Link encap:Ethernet HWaddr 00:04:75:76:6A:CF
          inet addr:192.168.66.18 Bcast:192.168.66.255 Mask:255.255.255.0
          inet6 addr: fe80::204:75ff:fe76:6acf/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:3246 errors:0 dropped:0 overruns:0 frame:0
          TX packets:3058 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:3008951 (2.8 MiB) TX bytes:260019 (253.9 KiB)
          Interrupt:16 Base address:0x8000

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:70 errors:0 dropped:0 overruns:0 frame:0
          TX packets:70 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:5376 (5.2 KiB) TX bytes:5376 (5.2 KiB)

tap0 Link encap:Ethernet HWaddr 06:41:E5:83:D3:53
          inet addr:192.168.66.128 Bcast:192.168.66.255 Mask:255.255.255.255
          inet6 addr: fe80::441:e5ff:fe83:d353/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:21 overruns:0 carrier:0
          collisions:0 txqueuelen:500
          RX bytes:0 (0.0 b) TX bytes:0 (0.0 b)

Johan Ryberg (jryberg) wrote :

Running a Dell XPS M1210 with the same problem. NetworkManager reports No network connection but I can run both wireless and wired.

Mathias Hasselmann (hasselmm) wrote :

I have the same problem with some manually configured ppp connection: NetworkManager reports every dependent application network would be down, although there is a fully functional interface having the default route assigned to it. NetworkManager definitly should be able to work correctly even if it doesn't control all network interfaces, otherwise it has not place in the default setup of any distribution - regardingless of being a nice piece of software for trivial cases.

Filed as GNOME Bug 418745: http://bugzilla.gnome.org/show_bug.cgi?id=418745

I see the title of the bug has changed.

** Not only does Network Manager report incorrect status, during boot Network Manager itself disabled a perfectly running eth0, complaining something about no carrier detect?

Network Manager should not disable perfectly functioning hardware, a "ordinary desktop computer user" (see Official Ubuntu book).

Xubuntu Feisty runs fine, Edgy, Dapper, and Windows run fine. They don't have Network Manager standard. Network Manager has a software design bug telling it to turn the customer's hardware off when it should not, as well as the bug of reporting incorrect status. Feisty Ubuntu and Feisty Kubuntu should "just work" like it does on Feisty Xubuntu - which has no Network Manager (yet, as of 20070315).

Of course, Feisty Ubuntu development could decide it isn't interested in customers with those hardware configurations; I'd hope they would want to fix the software instead. Some of us would like to see wider use for Ubuntu, not narrower.

Cheers, Jerry

Changed in network-manager:
status: Unknown → Unconfirmed
Chris Wagner (chris-wagner) wrote :

Sorry, Jerry. Would you mind updating the bug report's description, to be a bit more accurate? I was just hoping to make this report easier for others to find, but I guess I didn't entirely understand the problems at hand. Thanks. :)

jerrylamos (jerrylamos) on 2007-03-17
description: updated
RedBoot (scott-redboot) wrote :

I googled "feisty fawn network manager" and it brought me here. Reading the dialog above, I think my comments might be relevant. I too am totally frustrated with Network Manager. It converts a static IP to the zero configure IP of 169.x.x.x the instant the NIC patch cable is disconnected. Details:
In a network communications class, I use a live CD PC to simply ping another. (My focus is on Cisco switch configuration.) Boot Feisty Fawn Herd 5 LiveCD. Use the GUI to set IP on eth0 to 1.1.1.9/24. Repeat with other PC to 1.1.1.10/24. All works well. I disconnect cable temporarily and Network Manager reconfigures eth0 to 169.x.x.x. I then attempt to use the Network Manager to change this and get the same result.
I see many posts noting goofy results with NM. Works like its Alpha level code. Should Ubuntu wait until this thing is ready for prime time?
Scott

I have the same kind of problem on a MacBook Pro.

With edgy, all is ok. Network Manager handle perfectly the wired and wireless connections, even with WPA. :)

Now, because I have some problems to do recording with the microphone, I'm trying to use the feisty kernel with the edgy installation. So, I updated kernel to the last feisty kernel (package linux-image-2.6.20-12-generic, version 2.6.20-12.20) and linux-restricted-modules-2.6.20-12-generic (version 2.6.20.3-12.11) for the ath_pci wireless card.

Just updating the kernel cause the Network Manager no more working. It says in the try "No network devices have been found".

Now, I have the two kernels installed, so:

- if I boot with edgy standard kernel 2.6.17-11-generic (from package version 2.6.17.1-11.35), Network Manager works correctly,

- if I boot the same installation with the feisty kernel 2.6.20-12-generic, Network Manager just says "No network devices have been found".

I will be happy to make more tests if needed.

jerrylamos (jerrylamos) wrote :

On 20070322 builds, Ubuntu and Kubuntu boot up with "No network connection". Left click on the icon, click to activate, and it does. Since it comes right up, there was no technical reason to de-activate the network during boot as shown in the syslogs above.

Xubuntu Feisty, Dapper, Simply Mepis, PCLinuxOS, ... don't have the problem. Advantage everyone else except Feisty Ubuntu, Kubuntu. In my opinion, this is an anklebiter problem, not likely to stop a "ordinary desktop computer user", just annoy.

It would certainly save a lot of people a lot of grief (see above comments) if the "Network (mis)manager" booted up off, so those that wanted it could turn it on.

Cheers, Jerry

bytesmythe (bytesmythe) wrote :

I'm having the same type of problem with NM. When I click on the icon, it correctly displays a list of available wireless networks, but when I select one of them, it attempts to connect but fails.

If, while it is attempting to connect, I pop open a terminal and run dhclient (which will connect just fine), once the n-m connection attempt times out, it will disable my now functioning network and I have to run dhclient again.

We really need a decent network management interface. NM is a couple of bugs away from being great, but unfortunately, those bugs are complete showstoppers. (Now if my stupid Broadcom 4318 would work out of the box, or even with the package install of ndiswrapper, instead of me having to build it from source...)

DRs endRs (hydroxic) wrote :

I'm getting the exact same feedback as bytesmythe. However networking works on my home WEP encrypted network with NM. At my school, it does not connect as said--dhclient works. I'm not an expert on this, but for some reason I think it's a bug with multiple APs of the same SSID. I don't know.

Wicd seems to be a great network tool that works with the said network.

Mackenzie Morgan (maco.m) wrote :

NM works perfectly with:
Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
Connections fail when the signal is weaker than about 40%. As long as it's ~50+% though, it's perfect. It has worked perfectly since Dapper.

Now if only the wired Marvell card had better drivers (drops at high throughput and requires reboot)
Marvell Technology Group Ltd. 88E8038 PCI-E Fast Ethernet Controller (rev 14)

Same problem for me. Incorrect network status with wireless.

03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)

No problem with wired network.
05:08.0 Ethernet controller: Intel Corporation PRO/100 VM Network Connection (rev 02)

GonzO (gonzo) wrote :

On my Edgy box, NM doesn't take control of any adapter interface **unless** that interface has the "auto" in front of it in /etc/networking/interfaces. I've statically configured the wifi card in my Edgy box, and NM ignores the entire interface as a result. Does removing the

auto eth0

from /etc/networking/interfaces file stop NM from controlling it? Does manually assigning the IP of an adapter in this file stop NM from attempting to control with it?

On a different note: Half of this problem is NM's faulty status report. NM displays connection information about adapter interfaces it controls; but if it controls none, than NM can only display "not connected" regardless of what non-NM-controlled adapter interface might be up and running. This is obviously misleading, and a number of things could be done to fix it. One solution to this would be for nm-applet to question whether or not it should continue to run based upon whether any interface in /etc/networking/interfaces is set to "auto" (and if there are no such interfaces, it should quietly exit from the tray). Another solution would be to have NM be able to _monitor_ all interfaces, but _control_ only those set to "auto" - so if one interface is statically configured (not under NM's control), NM can still report that it is "connected".

Obviously, its probably easier to have it exit if it does nothing. But that's just my non-programmer guess.

GULLI.ver (bugs-simon) wrote :

Like Olivier Bornet I found the same kernel-related nm-applet bug. (Gnome nm-applet 0.6.3)

When running 2.6.20-6 on edgy, network-manager works perfectly on my IBM T43p (with atheros), including WPA.
When running 2.6.20-12/13 on edgy, network-manager stops working at all - but I can get an IP-address using dhclient and at least eth0-connection works fine.

So there must be some kind of change in a module from 2.6.20-6 to 12, which conflicts with nm-applet.

jkeith3213 (jkeith3213) wrote :

My network connection works, and I had no errors in feisty beta, but after downloading new updates through update manger today, network manger .6.4 displays no connection icon, says no connection when mouse is over it, and will not display any network information. However, the network connection seems to be working correctly, as I am able to connect with my wired connection, without changing anything. I'm not sure which update caused this, all I actually read was keyring manger, but box was up to date as of Apr 8.

Victor Medina (vittico) wrote :

The same problem here, after updating on 10/04/2007 at 19:30 (aprox.), using Fiesty beta Network manager displays no conection manager.

Although i have two machines running Fiesty, one desktop pc and a IBM t40 laptop, the wire connections are not recognized anymore, wireless connection seems to work correctly though.

António Lima (amrlima) wrote :

Same here. Afer today's update (10/04/2007). I have been using feisty for a few weeks and never had this problem. I have internet access by ethernet tough, with out having to to any configuration. After deactivating network in nm and reactivating, the "no connection" sign goes away.

I can confirm that the udpates I did on April 11th, 2007 contained a network manager update (to 0.6.4). I connect via ethernet. When booting up Ubuntu Feisty the network manager icon has the disconnected. I have an IP address and everything works. To resolve this I just click on the icon and click wired networking and it reacquires the IP and it changes the icon back to the connected one.

jerrylamos (jerrylamos) wrote :

Latest today's build 20070411, CD Live:
1. During boot scripts network comes up O.K., finds gateway, finds remote DNS.
2. Still during boot scripts Network Manager disables the network. Dapper and Edgy don't do that. They "Just Work".
3. After boot completes, Network Manager says "No connection". I click on the NM icon, then click on wired connection, it comes up, and Network Manager reports connected.
    That means the connection works and Network Manager software is defective in disabling the network which runs just fine if Network Manager would leave it alone.

Then I created another account, administrator privileges, and switched users.

4. When the new user logged on, Network Manager had "No network connection". No business doing that, should be able to switch users without causing a hardware disconnect.
5. Clicked on Network Manager which said the network was "Disconnected" and still reported "No network connection".
6. Clicked on Network Manager yet again, and on wired connection, and then the connection came up. The network wasn't disconnected, except by Network Manager.

Another way to enable the network connection is "sudo dhclient" which works fine. That's right out of the "Official Ubuntu" book, troubleshooting section. Network Manager doesn't know about dhclent so still shows "No network connection" even when there is one.

Could someone explain what the purpose of Network Manager is on this system, if the primary function is to disable the only working network connection? Ubuntu used to come up clean with no user action, now there's extra steps required.

Thanks, Jerry

NM failed for me on Apr 12th feisty update. After dist-upgrade my network was down. /etc/init.d/network restart got the network back up but NM now reports 'No network connection'. The network connection is a static wired connection which NM noticed was connected yesterday, but not today.

Current nm version: 0.6.4-6ubuntu6

GonzO (gonzo) wrote :

Add another confirmation here.

Upon reboot (network-manager 0.6.4-6ubuntu6), I have full network access that actually appears to be _managed_ fine by NM, but the NM applet _reports_ that I'm offline.

Selecting "Wired Network" makes the applet disconnect/reconnect, and then it reports fine. Even though it has the same IP as it had a second ago.

It really appears to be an on-boot reporting issue, and not an actual networking issue. The network is up and running, the applet just incorrectly says it isn't when I boot into GNOME.

Alexander Jones (alex-weej) wrote :

Same here, subscribing.

ErMejo (andrea-lombardoni) wrote :

Same problem.

I solved it by editing /etc/network/interfaces

I deleted all lines except for:

auto lo
iface lo inet loopback

Now the NetworkManager applet works correctly.

yeti (utu) wrote :

After 7.04 full synaptic upgrade April 13,
Network Manager 0.6.4-ubuntu7
- has some harmless, extraneous entries in /etc/network/interfaces
- does dhcp and dns duties ok
- allows review of manual configuration
- does *not* report status info via bars ico; it's missing.

Martin Pitt (pitti) wrote :

This should have been fixed in

network-manager (0.6.4-6ubuntu7) feisty; urgency=low

  * 21_manual_means_always_online.diff:
    The previous version of this patch (ubuntu5) made a change to nm-applet
    that would assume the state was disconnected if the device list was empty.
    This didn't work since the device list is always empty on start because
    the status is obtained first.

    This was guarding against having the connected state with no devices,
    which broke later assertions. Change the patch to correct those
    assertions instead; a connected state with no active device will now
    display the wired icon with a "Manual network configuration" tooltip.

    LP: #82335, #105234.

  * 05-debian_backend.patch:
    Revert change in ubuntu3 that commented out the blacklisting of
    devices listed in /etc/network/interfaces with more exotic configuration
    than just inet dhcp. This was done by the above patch in ubuntu5, it
    seems silly to do it there, better to do it in the original patch.

  * 22_manual_config_available_when_connected.patch:
    Display the "Manual configuration" menu option when we have no devices,
    but are connected; since that means some number of blacklisted devices
    exist. Don't display the "No network devices" message in that case.

 -- Scott James Remnant <email address hidden> Thu, 12 Apr 2007 19:32:01 +0100

Please report back if you still have this problem with this version.

Changed in network-manager:
status: Confirmed → Fix Released
yeti (utu) wrote :

April 13 synaptic update network-manager (0.6.4-6ubuntu7) feisty
*does not* provide connection status information as it did April 10.
See Bug 103528 for some history.

Network functions are ok, but I expect there are more gui products that are not coming thru on my install of 7.04 with all the latest synaptic stuff.

yeti (utu) wrote :

Sorry, that's Bug 103258.

GonzO (gonzo) wrote :

Last night/this morning (two different computers, both on wired network, both with NM reporting no connection when there was one):

Did a sudo aptitude update && sudo aptitude dist-upgrade. Received (among other things) network-manager (0.6.4-6ubuntu7) feisty. Restarted the machines.

NM properly reports "wired network" now.

Thanks, guys! Fixed for me.

Ruewan (gabbon) wrote :

I have the same problem with my wireless. I am using the ndiswrapper with my wireless adapter. More often than not when I try to connect to my wireless network it does not get an IP address. It worked fine in Edgy and it works fine in Windows. When I sudo dchpclient I can surf but the network manager applet still shows no IP address.

Exact same problem as Jerry Lamos since Feisty. I'm now on Gutsy, hoping that it would solve my problem... but not yet.

Applet NetworkManager 0.6.4

/var/log/syslog
Jun 3 12:18:39 oli NetworkManager: <information>^Istarting...
Jun 3 12:18:39 oli NetworkManager: <information>^Ieth1: Driver 'ne2k-pci' does not support carrier detection. ^IYou must switch to it manually.
Jun 3 12:18:39 oli NetworkManager: <information>^Inm_device_init(): waiting for device's worker thread to start
Jun 3 12:18:39 oli NetworkManager: <information>^Inm_device_init(): device's worker thread started, continuing.
Jun 3 12:18:39 oli NetworkManager: <information>^INow managing wired Ethernet (802.3) device 'eth1'.
Jun 3 12:18:39 oli NetworkManager: <information>^IDeactivating device eth1.

/etc/network/interfaces
auto lo
iface lo inet loopback

auto eth1
iface eth1 inet dhcp

Alexander Jones (alex-weej) wrote :

Can people confirm that this is still happening? I haven't had this for a while.

Mathias Hasselmann (hasselmm) wrote :

> Can people confirm that this is still happening? I haven't had this for a while.

Is still have the problem with manually configured PPP links. NM doesn't detect when this link is online and has created a default route. This causes important applications like Epiphany, Evolution, GAIM^W Pidgin, ... to stay in offline mode. Very annoying. I have to configure my PPP link by hand, as I need a custom chatscript to connect to my UMTS based ISP.

Possible work arround for me: Provide some DBus interface for letting ip-up/ip-down scripts report the online status of manually configured devices. Would be some kind of hack, but that short term solution would drop alot of announces NM currently cause. Additionally such an interface would have the advantage of being able to extend NM to support for instance UMTS links by using a more reasonable language than C: Configuring an UMTS modem involves alot of string processing. C definitly is not the right language for such stuff.

GonzO (gonzo) wrote :

Isn't there a "manual configuration" mode, and wouldn't this mode be the thing to choose when one uses a manually configured PPP link?

Or do I entirely misunderstand the situation?

Mathias Hasselmann (hasselmm) wrote :

> Isn't there a "manual configuration" mode, and wouldn't this mode be the thing to choose when one uses a manually configured PPP link?
> Or do I entirely misunderstand the situation?

Well, yes: There is this sub-menu with ppp providers, but - at least in my setup - NetworkManager doesn't realize when such a link comes online.

GonzO (gonzo) wrote :

o.O

My NetworkManager (as of Feisty, current to today) has no sub-menu dealing with PPP at all. What sub-menu are you looking at?

jerrylamos (jerrylamos) wrote :

Gutsy as of 20070618 has network manager problem with same symptoms as Feisty.
1. Network manager disables Realtek ethernet card during boot. No reason to do that since it works fine.
2. After boot, the applet shows a red mark and passing the cursor over it says no network connection.
3. Using "The Official Ubuntu Book" method of sudo dhclient, the card comes up and the network works fine.
4. Network manager still reports "no network connection" even as the browser and ethernet card work fine.
5. Manually clicking on the network manager applet, clicking on the wired connection, and then clicking off the balloon does get it running with the proper indication; why on earth do I have to do three manual clicks with Gutsy and Fesity when Dapper and Edgy don't need it?
Cheers, Jerry

Alex Eftimie (alexeftimie) wrote :

 Mathias Hasselmann said on 2007-06-18:
>Possible work arround for me: Provide some DBus interface for letting ip-up/ip-down scripts report the online status of manually configured devices. Would be some kind of hack, >but that short term solution would drop alot of announces NM currently cause.

Have you done that? I'm also interested in solving that problem, because I'm using a manual configured PPPoE connection, network-manager reports 'No network connection', and all major applications start in Offline mode. This is very annoying, and I don't see any progress at all in this problem.

Thanks

jerrylamos (jerrylamos) wrote :

The only progress I've seen is backwards. On my IBM Net Vista which came up with Network Manager O.K. on Feisty, now on Gutsy daily builds up through yesterday during boot Network Manager fills /var/log/syslog with hundreds and thousands of loops of enabling and disabling either eth2 (which I don't have) or eth0 before it finally finishes boot. Syslog is as much as 5 megabytes big where it should be 35 kilobytes.

My main system still requires manual intervention since Network Manager disables my Realtek card during boot; you can see it right in /var/log/syslog.

Removing the Network Manager package is useless because even though it is removed, it is still active during boot and still disables my card - which works perfectly after having to enable it either by issuing sudo dhclient or clicking the applet. If Network Manager can enable the wired network by clicking on the applet, why can't it use the same thing to enable it during boot??

We the users have no clue whether Ubuntu isn't interested, can't fix it, or maybe the Network Manager people would rather work on something else (shudder).

Upshot is I can get it working sooner or later, but this doesn't seem to me to be the best way to spread Ubuntu to more users.

Cheers, Jerry

Same for me on gutsy, NM 0.6.5

Solved for me with version 0.6.5-0ubuntu7

jerrylamos (jerrylamos) wrote :

Now indicates correctly with three computers here: Gutsy Tribe 5 on IBM Thinkpad R31, IBM NetVista 2gHz P4, 1.2 gHz Celeron motherboard.

Cheers, Jerry Amos

description: updated
jhansonxi (jhansonxi) wrote :
  • syslog Edit (102.3 KiB, application/octet-stream)
Download full text (34.0 KiB)

I just spent a lot of time testing the nm applet on an updated (as of 20071017) Ubuntu Gutsy RC1 using a whole bunch of different network adapters. I found that the applet won't connect automatically with a few cards only. Big report follows and syslog is attached. I also moved the drive to an Intel D815EEA system and tested #1 again but got the same result (the built-in port worked successfully). I also tried enabling/disabling the Award BIOS PNP OS option but the results were the same. I tested the cards multiple times and the results are 100% repeatable. The only thing I haven't tried is a virgin Gutsy RC1 install on a completely different system with the same cards.

nm-applet 0.6.5
Ubuntu 7.10 (Gutsy RC1)
Linux restore1 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

HP Pavilion 8705
Pentium III 800MHz
Via Apollo MVP3/Pro133x AGP
ASUS CUV-NT motherboard

FAILS: When desktop loads, applet indicates no network found, Firefox can't access the Internet. Manually selecting "Wired Network" fixes the problem.
SUCCESS: When desktop loads, applet indicates "Wired network connection", Firefox can browse the Internet.

#1 (FAILS)
dmesg:
[ 8.252000] eth0: RealTek RTL-8029 found at 0xb800, IRQ 11, 00:40:05:59:12:CF.

ifconfig -a:
eth0 Link encap:Ethernet HWaddr 00:40:05:59:12:CF
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:4 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:647 (647.0 b) TX bytes:0 (0.0 b)
          Interrupt:11 Base address:0xb800

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b) TX bytes:0 (0.0 b)

lspci -vv:
00:0b.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8029(AS)
        Subsystem: Realtek Semiconductor Co., Ltd. RTL-8029(AS)
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at b800 [size=32]

lspci -vvn:
00:0b.0 0200: 10ec:8029
        Subsystem: 10ec:8029
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at b800 [size=32]

#2 (FAILS)
dmesg:
[ 19.977677] eth0: Macronix 98715 PMAC rev 32 at Port 0xb800, 00:80:AD:3B:A0:DB, IRQ 11.

ifconfig -a:
eth1 Link encap:Ethernet HWaddr 00:80:AD:3B:A0:DB
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:5 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txq...

jhansonxi (jhansonxi) wrote :

I performed a new install from scratch and retested starting with #3 & #4. I got the same result with #1 & #2 failing. Based on the logs, it looks like it is the carrier detect issue and it affects both the tulip and ne2k-pci drivers.

jerrylamos (jerrylamos) wrote :

Yep, whoever coded that part of Network Manager decided some cards didn't support carrier detect therefore disabled the card. Even though the cards work just fine.

Once booted, with Gutsy Ubuntu and Gutsy Xubuntu, clicking on the network manager icon and clicking the wired network line and waiting......activates the connection. Absolutely no reason that couldn't have been done during boot by the Network Manager code in the first place.

Two thorns remain - I boot, there's a prominent notification of updates, I click on update icon which runs for a while then bombs out because of "no network connection". Oops, cancel out of that, click on network icon and wired connection, wait, then try the update again....

Biggest bone on Kubuntu as of 20071010, I haven't tried Kubuntu 7.10 yet, is that there is NO ACTIVE (NOT GREY'D OUT) PLACE TO CLICK ON WIRED CONNECTION. ERGO, NO NETWORK. FOR ME, THAT MAKES KUBUNTU DOA (DEAD ON ARRIVAL). Kubuntu Tribe 5 worked fine. "Rest in peace." And oh, yes, if the connection is enabled with sudo dhclient, Gutsy 7.10 Network Mangler doesn't recognize it (the topic of this bug in the first place) so Kubuntu remains networkless even though there is a working pingable connection....
Jerry

jerrylamos (jerrylamos) on 2007-10-19
description: updated
Changed in network-manager:
status: New → Incomplete
jerrylamos (jerrylamos) wrote :

Hardy Alpha 2 updated as of 1/24/2008 still has same bug. Network Manager disables eth0 and reports no network connection.

Activate connection as in "The Ubuntu Book" namely:

sudo dhclient

Network comes up just fine and logged onto BBC. Network Manager still reports "no network connection" even though there obviously is one, and for that matter there was no reason for Network Manager to disable eth0 in the first place since it works fine. lspci -vvnn reports "Realtek RTL-8029 ethernet controller. For some reason obscure to me during boot Network manager decides the Realtek ethernet card (which is already running at that point in boot), "does not support carrier detect" and disables eth0. Whatever that complaint is has nothing to do with the adapter working fine.

Jerry

Jakh Daven (tuxcanfly) wrote :

Network Manager shows no connection even though obviously there's one. Moreover as pointed out, Pidgin shows 'waiting for connection'. None of the workarounds mentioned work for me! Please help. Maybe I'll have to do a reinstall. Oh! I regret going for an upgrade.

Helle (lapidar-web) wrote :

Also with the current status of hardy the network-manager is heavily broken! I'm afraid that we lose a lot of users because this point. For me it gives a windows feeling ;-(

Following things happens on my notebook:

1. sometimes it deactivates the working lan (eth0) connection as described one year before
2. it always forget the configuration from the WLAN settings - changing from wpa2 to wpa and forget the password
3. if I try to disable one of the interfaces (click on checkbutton wlan or lan) , you have to wait and after this both connections are activated or disactivated or activated.....
4. to avoid this strange things I deinstalled the network-manager, now the network works fine from the interfaces file
BUT beside the network connection on the command line works well firefox is always offline!
So last greatings from the nm? I don't find the gnome (?) settings to tell firefox that we are online.

I'm using Linux now several years, but to repair the network connections after each reboot makes me very unhappy and for new users unusable.
In the moment nm is a real show stopper.

[OT] Yeah I have to say, NetworkManager's inclusion is beyond me, the thing is so broken, and has been since it was first introduced.

GonzO (gonzo) wrote :

Unsubscribing from thread. NM has worked fine for me since Feisty.

Alexander Jones (alex-weej) wrote :

Can anyone who was originally experiencing this bug still confirm it? I had this bug originally too, but as the status indicates it was fixed a long time ago.

Those experiencing general gripes with NM should report their specific bugs.

My apologies, I thought I was commenting on a different NM bug (which is a regression).

jerrylamos (jerrylamos) wrote :

I'm jerrylamos, an originator of this bug report. It absolutely persists even on Hardy Release Candidate. By the way, apart from some niggling bugs, Hardy Rocks!

During boot, the wired connection comes up, works absolutely fine, and then later on in boot Network Manager disables it. I can only conclude the (debian?) programmer thought an adapter like this wouldn't work, and in gross oversight didn't check that it was working fine before arbitrarily disabling it.

I do a "sudo dhclient" just like it says in The Ubuntu Book, the connection comes up fine, internet works fine, local lan connections work fine, and the:

Network Manager still says "No network connection" even though the network is running very well, thank you. Still a red mark on the NM icon, passing the cursor over it NM says "No network connection" as I'm reading BBC News and playing You Tube Leona Lewis videos.

I'm not a developer, just an ordinary user (of alpha's, beta's, release candidates, and even released code) so I can't get into the code to tell Network Manager "if the connection already is running, don't disable it on purpose!" and before saying "No network connection" check to see whether it is running or not.

Thanks, Jerry

grado (shipp-david) wrote :

Just wondering if I can add a boot script? to run "sudo dhclient" on boot up as I am having the same issues with an ne2k NIC. Detects the card but indicates no network connection. Running "sudo dhclient" enables networking although still shows as no network connection in icon. Would be better of course if we can fix the bug if anybody knows where it might be:-)

gary (grcrosby) wrote :

Updated Xubuntu to 8.10 and after rebooting the network simply stopped working. This is a wired desktop, so no wireless concerns here. I have attempted most of the fixes described here, but nothing is working. `Fortunately this is only one of the household boxes, but it is an old reliable, so having it down is a little bit of a concern. May look around to see if I have an old NIC to install, just to see if that will improve things.

gary

Changed in network-manager:
status: Incomplete → Won't Fix
Changed in network-manager:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.